# Interface OptionSelectItem

interface OptionSelectItem {
handler : (() => boolean);
item ?: string;
itemArgs ?: any[];
keepOpen ?: boolean;
label : string;
onHover ?: (() => void);
overrideSound ?: boolean;
}

- Defined in src/ui/abstact-option-select-ui-handler.ts:20

#####
Index

### Properties

handler
item?
itemArgs?
keepOpen?
label
onHover?
overrideSound?

## Properties

### handler

handler: (() => boolean)

#### Type declaration

- - (): boolean

  - #### Returns boolean

- Defined in src/ui/abstact-option-select-ui-handler.ts:22

### `Optional` item

item?: string

- Defined in src/ui/abstact-option-select-ui-handler.ts:26

### `Optional` itemArgs

itemArgs?: any[]

- Defined in src/ui/abstact-option-select-ui-handler.ts:27

### `Optional` keepOpen

keepOpen?: boolean

- Defined in src/ui/abstact-option-select-ui-handler.ts:24

### label

label: string

- Defined in src/ui/abstact-option-select-ui-handler.ts:21

### `Optional` onHover

onHover?: (() => void)

#### Type declaration

- - (): void

  - #### Returns void

- Defined in src/ui/abstact-option-select-ui-handler.ts:23

### `Optional` overrideSound

overrideSound?: boolean

- Defined in src/ui/abstact-option-select-ui-handler.ts:25